Bug 15853 - Add author and link columns to opac course reserves table
Summary: Add author and link columns to opac course reserves table
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Course reserves (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-17 23:07 UTC by Nick Clemens
Modified: 2017-12-07 22:18 UTC (History)
6 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15853 - Add author and link columns to opac course reserves table (5.61 KB, patch)
2016-06-03 18:52 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 15853 - Add author and link columns to opac course reserves table (5.46 KB, patch)
2016-06-30 13:34 UTC, Nick Clemens
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 15853 - Add author and link columns to opac course reserves table (5.57 KB, patch)
2016-07-12 15:19 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 15853 - Add author and link columns to opac course reserves table (5.68 KB, patch)
2016-07-15 13:41 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2016-02-17 23:07:44 UTC
To be done:

1 - Add an author column to the opac course reserves table
2 - Add a 'link' column to the opac course reserves table, populated from the 856$u field
Comment 1 Nick Clemens 2016-06-03 18:52:47 UTC Comment hidden (obsolete)
Comment 2 jmbroust 2016-06-29 13:59:43 UTC
We tried to apply the patch on sandboxes 2 and 6 but it failed each time with no logs (blocked on web installer twice). So maybe there is a problem.
Comment 3 Nick Clemens 2016-06-30 13:34:54 UTC Comment hidden (obsolete)
Comment 4 Nick Clemens 2016-06-30 13:35:37 UTC
(In reply to jmbroust from comment #2)
> We tried to apply the patch on sandboxes 2 and 6 but it failed each time
> with no logs (blocked on web installer twice). So maybe there is a problem.
Rebased (it was my patch on another bug that caused the conflict :-) )
Comment 5 Owen Leonard 2016-07-12 15:19:57 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2016-07-15 13:41:14 UTC
Created attachment 53433 [details] [review]
Bug 15853 - Add author and link columns to opac course reserves table

To test:
1 - Add some course reserves
2 - View the table in staff and opac, there is no column for author or
link
3 - Apply patch
4 - You shoudl see these columns
5 - Link should contain item uri if present, fallback to title 856$u,
  then be blank if niether

Sponsored by:
    Southeastern Wisconsin Information Technology Exchange, Inc (SWITCH)
    (http://caspian.switchinc.org/)

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Might be good to add this table to the column visibility tool if you
plan to add more columns.
Comment 7 Jonathan Druart 2016-07-15 13:42:14 UTC
Nick, you should check if the release note script handles the "Sponsored by:" on multiple lines.
Comment 8 Kyle M Hall 2016-07-15 18:04:27 UTC
Pushed to master for 16.11, thanks Nick!
Comment 9 Frédéric Demians 2016-08-01 13:42:27 UTC
Pushed in 16.05. Will be in 16.05.02.